---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Retrieves all variants for an app with optional filtering by… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/variants endpoint in the Management
    API.
sidebar:
  label: List all app variants
  badge: GET
title: List all app variants
type: openapi-operation
---
Retrieves all variants for an app with optional filtering by product, category, collection, status, attributes, and more. Supports pagination and sorting.

`GET /api/v1/{team_slug}/{app_slug}/variants`

**Responses**

- `200` — List of variants
- `400` — Invalid request (e.g., bad query parameter)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "created_at": "string",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "id": "string",
      "images": [
        {
          "alt": "string",
          "app_id": "string",
          "attributes": [
            {
              "created_at": "string",
              "description": "string",
              "filterable": true,
              "id": "string",
              "key": "string",
              "name": "string",
              "template_key": "string",
              "template_name": "string",
              "translatable": true,
              "translations": {
                "description": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ],
                "name": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "updated_at": "string",
              "values": {
                "property1": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                },
                "property2": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                }
              }
            }
          ],
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "priority": 0,
          "public": true,
          "status": "string",
          "title": "string",
          "translations": {
            "alt": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "copyright": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "title": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "url": "string"
        }
      ],
      "listings": {
        "smart": [
          {
            "id": "string",
            "slug": "string"
          }
        ],
        "static": [
          {
            "id": "string",
            "slug": "string"
          }
        ]
      },
      "parent_product_id": "string",
      "product_name": "string",
      "product_number": "string",
      "purchase_price": {
        "currency": "string",
        "value_cents": 0
      },
      "shipping_attributes": [
        "string"
      ],
      "status": "string",
      "store_group": [
        {
          "created_at": "string",
          "id": "string",
          "name": "string",
          "prices": [
            {
              "amount_cents_with_tax": 0,
              "created_at": "string",
              "id": "string",
              "market": {
                "active": true,
                "country_codes": [
                  "string"
                ],
                "created_at": "string",
                "currency_code": "string",
                "id": "string",
                "locale": "string",
                "name": "string",
                "slug": "string",
                "updated_at": "string"
              },
              "on_sale": true,
              "reference_price_with_tax": 0,
              "sale_end_timestamp": "string",
              "sale_price_with_tax": 0,
              "sale_start_timestamp": "string",
              "status": "active",
              "updated_at": "string"
            }
          ],
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        }
      ],
      "tags": [
        {
          "attributes": [
            {
              "created_at": "string",
              "description": "string",
              "filterable": true,
              "id": "string",
              "key": "string",
              "name": "string",
              "template_key": "string",
              "template_name": "string",
              "translatable": true,
              "translations": {
                "description": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ],
                "name": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "updated_at": "string",
              "values": {
                "property1": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                },
                "property2": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                }
              }
            }
          ],
          "created_at": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "markets": [
            {
              "active": true,
              "country_codes": [
                "string"
              ],
              "created_at": "string",
              "currency_code": "string",
              "id": "string",
              "locale": "string",
              "name": "string",
              "slug": "string",
              "updated_at": "string"
            }
          ],
          "name": "string",
          "schedules": [
            {
              "add_category_names": [
                "string"
              ],
              "add_collection_names": [
                "string"
              ],
              "add_tag_names": [
                "string"
              ],
              "execute_at": "string",
              "finished_at": "string",
              "group_id": "string",
              "id": "string",
              "item_id": "string",
              "item_name": "string",
              "item_type": "string",
              "remove_category_names": [
                "string"
              ],
              "remove_collection_names": [
                "string"
              ],
              "remove_tag_names": [
                "string"
              ],
              "to_amount_cents_with_tax": 0,
              "to_market_id": "string",
              "to_market_status": "string",
              "to_on_sale": true,
              "to_sale_amount_cents_with_tax": 0,
              "to_start_sale_timestamp": "string",
              "to_status": "string",
              "to_stop_sale_timestamp": "string",
              "to_store_group_id": "string"
            }
          ],
          "status": "string",
          "translations": {
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string"
        }
      ],
      "translations": {
        "name": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "validate_stock": true,
      "variant_dimensions": {
        "capacity_milliliter": 0,
        "depth": 0,
        "diameter": 0,
        "height": 0,
        "length": 0,
        "weight": 0,
        "width": 0
      },
      "variant_group_id": "string",
      "variant_name": "string",
      "variant_number": "string",
      "videos": [
        {
          "attributes": [
            {
              "created_at": "string",
              "description": "string",
              "filterable": true,
              "id": "string",
              "key": "string",
              "name": "string",
              "template_key": "string",
              "template_name": "string",
              "translatable": true,
              "translations": {
                "description": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ],
                "name": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "updated_at": "string",
              "values": {
                "property1": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                },
                "property2": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                }
              }
            }
          ],
          "description": "string",
          "folder_id": "string",
          "id": "string",
          "path": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "title": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "variants": [
            {
              "format": "string",
              "height": 0,
              "url": "string",
              "width": 0
            }
          ]
        }
      ],
      "warehouse_variant_stock": [
        {
          "available_online": true,
          "created_at": "string",
          "id": "string",
          "inventory_date": "string",
          "quantity": 0,
          "updated_at": "string",
          "warehouse_name": "string",
          "warehouse_slug": "string"
        }
      ]
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
